<template>

<thead class="
    border-b-4
    border-white
    dark:border-cgray-900
">
    <tr>
        <th class="
        ">
        </th>
        <th class="
            lg:px-4
            py-2
            text-sm
            text-right
        ">
            <p class="text-center">
                {{ $t('number') }}
            </p>
        </th>
        <th
            v-bind:key="key"
            v-for="(value, key) in columns"
            class="
            lg:px-4
            py-2
            text-sm
        ">
            <p
                v-if="project.reports.current.values.current === value"
                class="
                text-right
                font-black
            ">
                {{ $t(value) }}
            </p>
            <p
                v-else
                class="
                text-right
            ">
                {{ $t(value) }}
            </p>
        </th>
        <th>
            <!-- <IconBase name="helpCircle" size="16" /> -->
        </th>
    </tr>
</thead>

</template>

<script lang='ts'>

import { Component, Prop, Vue } from 'vue-property-decorator';
import { State } from 'vuex-class';

import IconBase from '@/components/IconBase.vue';

import { Project } from '@/ts/project';

@Component({
    components: {
        IconBase,
    },
})
export default class C extends Vue {
    @State('project')
    private project!: Project;

    @Prop()
    private columns!: string[];
}

</script>
